=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   3-4-2008
 Versie:  1.0
 Doel: Testen met raise
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 10:  10.3
*******************************************************************
=end
class Klant
    attr_accessor :voornaam, :familienaam, :leeftijd
  
  def initialize(voornaam,familienaam,leeftijd)
    voornaam = voornaam.strip.capitalize
    familienaam = familienaam.strip.capitalize
    familienaam.gsub!(/\s\w/) { |letter| letter.upcase}
  # validatie gegevens:
    begin
      raise ArgumentError,"Voornaam moet langer zijn dan 1 letter" unless voornaam.size > 1
      raise ArgumentError,"Familienaam moet langer zijn dan 1 letter" unless familienaam.size > 1
      Integer(leeftijd)   # test of ingegeven leeftijd geen niet-cijfer karakters bevat
      raise ArgumentError,"Leeftijd moet een geheel getal zijn" unless leeftijd.integer?
      raise ArgumentError,"Leeftijd moet groter zijn dan 15, en kleiner dan 120" unless leeftijd > 15 and leeftijd <= 120
      raise ArgumentError,"1e karakter voornaam moet letter zijn" unless voornaam[0,1] =~ /[A-Z]/
      raise ArgumentError,"1e karakter familienaam moet letter zijn" unless familienaam[0,1] =~ /[A-Z]/
    rescue Exception => e
       puts e.message
       exit
    end
    @voornaam, @familienaam, @leeftijd = voornaam, familienaam, leeftijd
  end
  
  def toongegevens
    "De klant heet #{@voornaam} #{@familienaam} en is #{leeftijd} jaar."
  end
  
end

# testcode:
$arr_test = []

def testgevallen
  klant = Klant.new('Peter','Vermeulen',35)
  $arr_test << klant
  klant1 = Klant.new('p','vermeulen',35)
  $arr_test << klant1
  klant2 = Klant.new('peter','v',35)
  $arr_test << klant2
  klant3 = Klant.new('','',35)
  $arr_test << klant3
  klant4 = Klant.new('  peter',' vermeulen    ',35)
  $arr_test << klant4
  klant5 = Klant.new('peter','vermeulen',35)
  $arr_test << klant5
   klant6 = Klant.new('PETER','VERMEULEN',35)
  $arr_test << klant6
  klant7 = Klant.new('PETer','verMEULEN',35)
  $arr_test << klant7
  klant8 = Klant.new('Johan','van buggenhout',19)
  $arr_test << klant8
  klant9 = Klant.new('5lbert','?meganck',24)
  $arr_test << klant9
  klant10 = Klant.new('Albert','Christiaens','4A5')
  $arr_test << klant10
  klant11 = Klant.new('Albert','Christiaens',5.3)
  $arr_test << klant11
  klant12 = Klant.new('Albert','Christiaens',-3)
  $arr_test << klant12
  klant13 = Klant.new('Albert','Christiaens',133)
  $arr_test << klant13
end

# oproepen testcases:
testgevallen

$arr_test.each do |klant|
  puts klant.toongegevens
end
