=begin rdoc
*******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   12-4-2008
 Versie:  1.0
 Doel: Lezen, schrijven en zoeken in files
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 11:  11.1
*******************************************************************
=end
# files.rb :
# getc
f = File.open('klanten.txt')
puts f.getc            #  geeft 65, de ASCII-code voor karakter A
puts f.getc.chr       #  geeft n
f.close
# each_byte
File.open('klanten.txt').each_byte { |byte| puts byte }
File.open('klanten.txt').each_byte { |byte| puts byte.chr }
# read:
f = File.open('klanten.txt')
puts f.read
data = File.read('klanten.txt')           # string
data = File.readlines('klanten.txt')     # array
puts data
File.open('klanten.txt')  { |f| puts f.read(8) }  # geeft Ann Fier
# pos, lineno, rewind:
p 'XXX'
File.open('klanten.txt')  do  |f| 
  puts f.pos    # 0
  puts f.read(8) 
  puts f.pos   # 8
  puts f.lineno  # 0
  puts f.readline # geeft ens
  puts f.pos  # 13
  puts f.lineno # 1
  f.pos = 30
  puts f.read(10) # geeft olein Peet
  puts f.pos # 40
  f.seek(8, IO::SEEK_CUR)
  puts f.pos    # positie is nu 40 + 8 = 48
  f.rewind
  puts f.pos  # 0
end
# schrijven naar file:
uitf = File.open('abc.txt','w')
puts uitf.closed?   # false
uitf.print('A')
uitf.write('B')
uitf << 'C'
uitf << 'D' << 'E' << 'F'
uitf.putc('G')
uitf.close
puts uitf.closed? # true

