/* verwijder tabellen enkel indien ze opnieuw aangemaakt moeten worden! */
drop table if exists klanten;
drop table if exists producten;
drop table if exists soorten;
drop table if exists uitgeverijen;
drop table if exists orders;
drop table if exists orderlijnen;

create table klanten (
 id             int           not null auto_increment,
 voornaam       varchar(40)  not null,
 familienaam    varchar(50)  not null,
 bijnaam        varchar(30)  not null,
 sex		    char(1)	     not null,
 geboortedatum  date	     not null,
 paswoord       varchar(30)  not null,
 straat 	    varchar(75)  not null,
 nr 	    	    varchar(10)  not null,
 postcode 	    varchar(15)  not null,
 gemeente 	    varchar(75)  not null,
 email 	    varchar(75)  not null,
 beroep 	    varchar(50)  not null,
 primary key (id)
);

create table soorten (
 id             int           not null auto_increment,
 naam           varchar(50)   not null,
 primary key (id)
);

create table uitgeverijen (
 id             int           not null auto_increment,
 code           varchar(20)   not null,
 naam           varchar(100)   not null,
 primary key (id)
);

create table producten (
 id             int           not null auto_increment,
 soort_id	    int           not null,
 uitgever_id    int           null,
 titel          varchar(100)  null,
 auteurs        varchar(100)  null,
 onderwerp      varchar(100)  null,
 beschrijving   text          null,
 publicatiedatum date	      null,
 prijs          decimal(10,2) null,
 aantalinvoorraad	int		null,
 afbeeldingurl   varchar(200)  null,
 isbnnr10		char(13)	null,
 isbnnr13		char(17)	null,
 aantalpaginas	int		null,
 boektype		varchar(40)	null,
 speelduur		int		null,
 opslagformaat	varchar(40) null,
 primary key (id),
 constraint fk_soorten_producten  foreign key (soort_id) references soorten(id),
 constraint fk_uitgeverijen_producten  foreign key (uitgever_id) references uitgeverijen(id)
);


create table orders (
 id             int           not null auto_increment,
 klant_id	    int		not null,
 betalingstype  char(10)      not null,
 leveringsdatum date	      not null,
 status	    char(1)		not null,
 primary key (id),
 constraint fk_klanten_orders  foreign key (klant_id) references klanten(id)
);

create table orderlijnen (
  id             int           not null auto_increment,
  order_id       int           not null,
  product_id     int	       not null,
  aantal	     int           not null default 0,
  eenheidsprijs  decimal(10,2) not null,
  primary key (id),
  constraint fk_orders_orderlijnen  foreign key (order_id) references orders(id),
  constraint fk_producten_orderlijnen  foreign key (product_id) references producten(id)
);



