=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   14-3-2008
 Versie:  1.0
 Doel: Arrays: veranderen.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.7
******************************************************************
=end
arr_talen = ['Java', 'C#', 'Eiffel', 'Python', 'Ruby']   
# een item achteraan toevoegen:
arr_talen << 'Rebol'
p arr_talen # geeft ["Java", "C#", "Eiffel", "Python", "Ruby", "Rebol"]
arr_talen.push('Cobol','Delphi')
p arr_talen
# geeft ["Java", "C#", "Eiffel", "Python", "Ruby", "Rebol", "Cobol", "Delphi"]
# een item vooraan toevoegen:
arr_talen.unshift('C++')
p arr_talen
# geeft ["C++", "Java", "C#", "Eiffel", "Python", "Ruby", "Rebol", "Cobol", "Delphi"]
# een item vooraan of achteraan weghalen:
vooraan_weg = arr_talen.shift   # geeft "C++"
p arr_talen # geeft ["Java", "C#", "Eiffel", "Python", "Ruby", "Rebol", "Cobol", "Delphi"]
p vooraan_weg # geeft "C++"
achteraan_weg = arr_talen.pop
p arr_talen # geeft ["Java", "C#", "Eiffel", "Python", "Ruby", "Rebol", "Cobol"]
p achteraan_weg   # geeft "Delphi"
# item verwijderen:
a = ['a','b','c','d']
p a.delete_at(2)            # geeft 'c'
p c = a.delete('b')         # geeft 'b'
p a                         # geeft ["a", "d"]
# + en replace:
a = [1,2]
b = ['c','d']
p a + b             # geeft [1, 2, "c", "d"]
a.replace([3,4])
p a                 # geeft [3, 4]
a = [1,2,3]
b = ['c','d','e']
p c =  a.zip(b)     # geeft [[1, "c"], [2, "d"], [3, "e"]]
p c[2][1]
p a.zip(b).flatten  # geeft [1, "c", 2, "d", 3, "e"]
# array sorteren:
p arr_talen.sort
p arr_talen
arr_talen.sort!
p arr_talen
p arr_talen.reverse!
# items uniek maken:
a = [1,2,2,3,3,3,4,4,4,4]
p a.uniq            # geeft [1, 2, 3, 4]
# omzetting van een range naar een array:
range1 = 1..4
p range1.to_a         # geeft [1, 2, 3, 4]

