=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   15-3-2008
 Datum:   15-3-2008
 Versie:  1.0
 Doel: Arrays: zoeken en filteren.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 3 :  3.7
******************************************************************
=end
arr_talen = ['C#', 'Cobol', 'Eiffel', 'Java', 'Python', 'Rebol', 'Ruby']
# zoeken en testen:
p arr_talen.include?('Ruby')    # geeft true
p arr_talen.any? { |item| item.length == 4 }  # geeft true
p arr_talen.all? { |item| item.length == 4 }  # geeft false
# iteratie over alle elementen:
talen = ['Ruby', 'Python', 'C#'] 
talen.each do |taal| 
  puts 'Ik hou van ' + taal + ' !' 
  puts 'U niet?' 
end
#
talen = ['Ruby', 'Python', 'C#'] 
talen.each_with_index do |taal, i | 
  puts 'Ik hou van taal nr ' + i.to_s  + ': ' + taal + '.'
end
# idem, maar met map en reject:
a = [2,4,6,8,10]
p b = a .map { |n| n * n }          # geeft  [4, 16, 36, 64, 100]
# filteren van een array:
p [2,4,6,8,10].find { |n| n > 5 }        # geeft 6
p [2,4,6,8,10].find { |n| n > 10 }       # geeft nil
p groter5 = [2,4,6,8,10].find_all { |n| n > 5 }        # geeft [6, 8, 10]
p groter5 = [2,4,6,8,10].select { |n| n > 5 }         # geeft [6, 8, 10]
p groter5 = [2,4,6,8,10].map { |n| n > 5 }           # geeft [false, false, true, true, true]
p kleiner5 = [2,4,6,8,10].reject { |n| n > 5 }         # geeft[2, 4]
# splitsen van een string in een array en omgekeerd:
str = "Ruby is een leuke taal"
p arr = str.split     # geeft ["Ruby", "is", "een", "leuke", "taal"]
p arr 
str2 = '1;2;3;4;5'
p arr2 = str2.split(';')   # geeft ["1", "2", "3", "4", "5"]
arr = ["Ruby", "is", "een", "leuke", "taal"]
p str3 = arr.join             # geeft "Rubyiseenleuketaal"
p str4 = arr.join(' ')     # geeft "Ruby is een leuke taal"
p str5 = arr.join(',')     # geeft "Ruby,is,een,leuke,taal"
# uitsplitsen van een array:
arr1 = [1,2,3]
a,b,c = *arr1
p a,b,c   # geeft 1, 2 en 3
