=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   10-5-2008
 Versie:  1.0
 Doel:    Doorzoeken van een XML-document met REXML.
 Context: boek putsrogrammeren met Ruby en Rails: Hoofdstuk 5 :  5.8
******************************************************************
=end
#vb_xml.rb
require 'rexml/document'

# gegevens lezen uit een XML-bestand:
xmlfile = File.open('boekgegevens.xml')
xmldoc = REXML::Document.new(xmlfile)
puts "Root element: #{xmldoc.root.name}"
puts 'De titels van alle boeken:'
xmldoc.elements.each('//boek/titel') { |b| puts b.text }
puts "\nDe familienamen van alle auteurs:"
xmldoc.elements.each('//boek/auteur/familienaam') { |b| puts b.text }
puts "\nWelke boekstijlen zijn er:"
xmldoc.elements.each('//boek') { |b| puts b.attributes["stijl"] }
xmlfile.close

# gegevens toevoegen aan een XML-bestand:
tl = REXML::Element.new('boek')
tl.attributes['genre'] = 'fiction'
tl.attributes['stijl'] = 'paperback'
tl2 = REXML::Element.new('titel')
tl2.text = 'Oracle voor wereld-dominantie'
tl << tl2
tl3 = REXML::Element.new('prijs')
tl3.text = 100
tl << tl3
tl4 = REXML::Element.new('auteur')
tl5 = REXML::Element.new('voornaam')
tl6 = REXML::Element.new('familienaam')
tl5.text = 'Larry'
tl6.text = 'Ellison'
tl4 << tl5
tl4 << tl6
tl << tl4
xmldoc.root.elements << tl
outfile = File.open('boekgegevens2.xml','w')
xmldoc.write(outfile)
outfile.close
