=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   25-3-2008
 Versie:  1.0
 Doel:    De klasse Proc.
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 6 :  6.2
******************************************************************
=end
# maken van een Proc-object:
pr = Proc.new { puts 'Dit codeblok is gepromoveerd tot een Proc-object!'}
p pr.inspect  # Proc-object
pr.call

# een Proc-object is een closure:
def roep_proc_op(pr)
  v = "variabele 'v' in method-bereik"
  puts v
  pr.call     # Proc gebruikt hier zijn eigen v!
end

v = "variabele 'v' gebruikt in Proc"
pr = Proc.new { puts v }
pr.call
roep_proc_op(pr)

# Proc-object met argumenten:
pr = Proc.new { |x| p x }
pr.call(10)     # geeft 10

pr = Proc.new { |*x| p x }
pr.call                     # geeft []
pr.call(10)               # geeft [10]
pr.call(10,20)           # geeft [10, 20]
pr = Proc.new { |x, *y| p x, y}   
pr.call(10,20,30)       # geeft 10 [10, 20]

# lambdas:
lm = lambda { puts 'Dit is een lambda.' }
p lm.class   # geeft Proc (wel degelijk een Proc-object !)
lm.call        # geeft 'Dit is een lambda.'


