=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   24-3-2008
 Versie:  1.0
 Doel:    Yield en codeblokken
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 6 :  6.1
******************************************************************
=end
# oproepen van een codeblok met yield;
def methode1(a, b, c)
  puts 'Uitvoering van de body van de methode'
  puts a = b + c
  puts 'Controle wordt overgegeven aan het codeblok'
  yield
  puts 'Terug van het codeblok, methode gaat verder'
end

methode1(1, 5, 23)  { puts 'De code van het codeblok wordt nu uitgevoerd' }

# yield met een argument:
def methode2
  puts 'Geef 100 door aan codeblok'
  yield(100)  
end

methode2 { |x| puts "> Codeblok heeft dit argument gekregen: #{x}" }

# returnwaarde van een codeblok:
def methode3
  puts 'Het codeblok kwadrateert het doorgegeven getal'
  result = yield(5) 
  puts "Het resultaat hiervan is #{result}"
end

x = 10
methode3 { |x| x * x }
puts x    # geeft 5 : de x=10 is overschreven door de uitvoering van het codeblok

# test of er een codeblok is:
def methode4
  if block_given?
    result = yield(5) 
    puts "Het resultaat van het codeblok is #{result}"
  else
    puts 'Er was geen codeblok'
  end
end

methode4 { |x| x + 5 } # geeft 'Het resultaat van het codeblok is 10'
methode4                    # geeft 'Er was geen codeblok'
