=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   28-3-2008
 Versie:  1.0
 Doel:    Reguliere expressies: MatchData
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 8 :  8.4
******************************************************************
=end
strkl = 'Verboven,Hugo,Mr.,netwerkbeheer'
re_klant = /([A-Za-z]+),[A-Za-z]+,(Me?v?r\.)/
p re_klant =~ strkl               # geeft 0
m = re_klant.match(strkl)     # geeft MatchData-object m
unless m
  puts 'Formaat klopt niet!'
  exit
end
# volledige string:
p m.string    #   "Verboven,Hugo,Mr.,netwerkbeheer"
# het deel van de string dat matcht:
p m[0]        #    "Verboven,Hugo,Mr."

# de delen (captures) die we eruit willen extraheren:
p m.captures[0]   # geeft Verboven
p m[1]            # idem
p $1              # idem

p m.captures[1]   # geeft Mr.
p m[2]               # idem 
p $2                  # idem  

# string voor de match, hier niets:
puts m.pre_match 
# string achter de match: 
puts m.post_match     # ,netwerkbeheer
# beginpositie 2e capture
puts m.begin(2)   # 14
# eindpositie 2e capture
puts m.end(2)     # 17

# gebruik voor een aanspreking in een email:
puts "Beste #{m[2]} #{m[1]}, " 
