=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   30-3-2008
 Versie:  1.0
 Doel:    Rescue exceptions
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 9 :  9.3
******************************************************************
=end
def kieskeurige_methode(z)
  raise ArgumentError,"De parameter voor kieskeurige_methode moet < zijn dan 100" unless z < 100
end

class MijnException < Exception
end

#raise MijnException, "Mijn fout is eindelijk opgedoken!" # geeft raise.rb:20: Mijn fout is eindelijk opgedoken! (MijnException)

begin
  kieskeurige_methode(10)
#  kieskeurige_methode(150)
  kieskeurige_methode(150)  # geeft NoMethodError
rescue NoMethodError => e
  puts 'Deze methode bestaat niet'
rescue Exception => e
  puts 'In het rescue stuk'
  puts e.message  # geeft De parameter voor kieskeurige_methode moet < zijn dan 100
  puts e.backtrace
  # geeft rescue.rb:11:in `kieskeurige_methode'
  # rescue.rb:21
ensure
  puts 'Deze code wordt altijd uitgevoerd'
end

begin
 f = File.open('testbestand')
rescue Exception => e
  puts e.message
  puts "Bestand bestaat niet !"
ensure
  f.close unless f.nil?  # als f niet bestaat mag er geen close gebeuren
  # anders krijgen we de fout: undefined method `close' for nil:NilClass (NoMethodError)
end

