class SoortsController < ApplicationController
  # GET /soorts
  # GET /soorts.xml
  def index
    @soorts = Soort.find(:all)

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @soorts }
    end
  end

  # GET /soorts/1
  # GET /soorts/1.xml
  def show
    @soort = Soort.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @soort }
    end
  end

  # GET /soorts/new
  # GET /soorts/new.xml
  def new
    @soort = Soort.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @soort }
    end
  end

  # GET /soorts/1/edit
  def edit
    @soort = Soort.find(params[:id])
  end

  # POST /soorts
  # POST /soorts.xml
  def create
    @soort = Soort.new(params[:soort])

    respond_to do |format|
      if @soort.save
        flash[:notice] = 'Soort was successfully created.'
        format.html { redirect_to(@soort) }
        format.xml  { render :xml => @soort, :status => :created, :location => @soort }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @soort.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /soorts/1
  # PUT /soorts/1.xml
  def update
    @soort = Soort.find(params[:id])

    respond_to do |format|
      if @soort.update_attributes(params[:soort])
        flash[:notice] = 'Soort was successfully updated.'
        format.html { redirect_to(@soort) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @soort.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /soorts/1
  # DELETE /soorts/1.xml
  def destroy
    @soort = Soort.find(params[:id])
    @soort.destroy

    respond_to do |format|
      format.html { redirect_to(soorts_url) }
      format.xml  { head :ok }
    end
  end
end
