class Product < ActiveRecord::Base
  set_table_name 'producten'
  
  validates_presence_of :titel, :auteurs, :afbeelding_url, :prijs
  validates_numericality_of :prijs
  validates_uniqueness_of :titel
  validates_format_of :afbeelding_url,
                             :with => %r(\.(gif|jpg|jpeg|png)$)i,
                             :message => 'moet een GIF,	JPG of PNG afbeelding zijn (eindigen op .gif of .jpg of .jpeg of .png)'
  validate :prijs_moet_positief_zijn
  validates_length_of :titel, :minimum=>5, :message=>'moet langer dan %d karakters zijn'
    
  def prijs_moet_positief_zijn
    errors.add(:prijs, 'moet positief zijn!') if prijs < 0
  end

  def self.find_producten_voor_verkoop
      find(:all, :order => 'titel')
  end
  
end
