class WinkelController < ApplicationController
# Deze controller bevat de belangrijkste methodes voor de werking van de winkel.
  require 'kar'
  require 'kar_item'
  
  def index
     @products = Product.find_producten_voor_verkoop
     @kar = ophalen_kar
     #@page_title = '*** ITMEDIA! ***'
     #@huidige_tijd  = Time.now.strftime('%d/%m/%Y %H:%M:%S')
  end
  
  def toevoegen_aan_kar
      begin
        product = Product.find(params[:id])
      rescue ActiveRecord::RecordNotFound
        error = "U probeert een niet bestaand product #{params[:id]} op te halen"
        logger.error(error)
        redirect_to_index(error)
      else
         @kar = ophalen_kar
         @kar.voeg_product_toe(product)
         if request.xhr?
             respond_to { |format| format.js }
         else
              redirect_to :action => :index
         end
      end
  end
      
  def leegmaken_kar
    session[:kar] = nil
    redirect_to_index('Uw winkelkar is leeg')
  end
    
  def aankoop_stap1
  # ingeven van klantgegevens:
       @kar = ophalen_kar
       if @kar.items.empty?
           redirect_to_index('Uw winkelkar is leeg')
      else
          @klant = Klant.new
      end
  end  
  
  def aankoop_stap2
  # ingeven van ordergegevens:
      @kar = ophalen_kar    # nodig opdat het layoutscherm de winkelkar kan tonen
      @order = Order.new
  end  
     
   def bewaar_klant
      @kar = ophalen_kar    # nodig opdat het layoutscherm de winkelkar kan tonen
      @klant= Klant.new(params[:klant])    # hier gebeurt de validatie
      if @klant.save
         flash[:melding] = 'Uw gegevens zijn bewaard.'
         session[:klant] = @klant       # stockeer klant in session, id is nodig in order 
         redirect_to :action => :aankoop_stap2
      else
         render :action => :aankoop_stap1
      end
   end 
    
   def bewaar_order
      @kar = ophalen_kar        
      @order = Order.new(params[:order])
      @order.klant = session[:klant]    # hier wordt klant_id door belongs_to ingevuld
      # samenstellen van de orderlijnen vanuit de winkelkar:
      @order.toevoegen_orderlijnen_vanuit_kar(@kar)
       if @order.save
          session[:klant] = session[:kar] = nil     # opkuis session
          redirect_to_index("ITMedia dankt u voor uw bestelling!")
       else
          render :action => :aankoop_stap2
       end
   end  
  
  protected
    def inlogcontrole
    end    

  private
  def ophalen_kar
    # maak een nieuwe (lege kar) als deze nog niet bestaat, geef anders de bestaande kar terug:
    session[:kar] ||= Kar.new
  end
  
  def redirect_to_index(msg)
    flash[:melding] = msg
    redirect_to :action => :index
  end
  
end
