# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 11) do

  create_table "klanten", :force => true do |t|
    t.string   "voornaam",                    :default => "", :null => false
    t.string   "familienaam",                 :default => "", :null => false
    t.string   "bijnaam"
    t.string   "sex",            :limit => 1
    t.date     "geboorte_datum",                              :null => false
    t.string   "paswoord"
    t.string   "straat",                      :default => "", :null => false
    t.string   "nr",                          :default => "", :null => false
    t.string   "postcode",                    :default => "", :null => false
    t.string   "gemeente",                    :default => "", :null => false
    t.string   "email",                       :default => "", :null => false
    t.string   "beroep"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "orderlijnen", :force => true do |t|
    t.integer  "order_id",                                 :null => false
    t.integer  "product_id",                               :null => false
    t.integer  "aantal",                                   :null => false
    t.decimal  "lijn_prijs", :precision => 8, :scale => 2, :null => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "orderlijnen", ["order_id"], :name => "fk_orders_orderlijnen"
  add_index "orderlijnen", ["product_id"], :name => "fk_producten_orderlijnen"

  create_table "orders", :force => true do |t|
    t.integer  "klant_id",                                      :null => false
    t.string   "betalings_type",  :limit => 10, :default => "", :null => false
    t.date     "leverings_datum",                               :null => false
    t.string   "status",          :limit => 1
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "orders", ["klant_id"], :name => "Index_klant_id"

  create_table "producten", :force => true do |t|
    t.string   "titel"
    t.string   "auteurs"
    t.text     "beschrijving"
    t.date     "publicatiedatum"
    t.string   "afbeelding_url"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.decimal  "prijs",           :precision => 8, :scale => 2, :default => 0.0
    t.integer  "soort_id",                                      :default => 1
    t.integer  "uitgeverij_id",                                 :default => 1
  end

  add_index "producten", ["soort_id"], :name => "fk_soorten_producten"

  create_table "sessions", :force => true do |t|
    t.string   "session_id", :default => "", :null => false
    t.text     "data"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "sessions", ["session_id"], :name => "index_sessions_on_session_id"
  add_index "sessions", ["updated_at"], :name => "index_sessions_on_updated_at"

  create_table "soorts", :force => true do |t|
    t.string   "naam"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "uitgeverijen", :force => true do |t|
    t.string   "code"
    t.string   "naam"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

end
