 # Deze controller bevat de belangrijkste methodes voor de werking van de winkel.
 class WinkelController < ApplicationController
 require 'kar'
 require 'kar_item'
  
  before_filter :ophalen_kar, :except => :leegmaken_kar
  #after_filter  :copyright    <-- werkt wel, maar dan werkt AJAX niet meer!
    
  def index
     @products = Product.find_producten_voor_verkoop
  end
  
  def toevoegen_aan_kar
      begin
        product = Product.find(params[:id])
      rescue ActiveRecord::RecordNotFound
        error = "U probeert een niet bestaand product #{params[:id]} op te halen"
        logger.error(error)
        redirect_to_index(error)
      else
         @kar.voeg_product_toe(product)
         if request.xhr?    # AJAX-request
             respond_to { |format| format.js }
         else
             redirect_to :action => :index
         end
      end
  end
      
  def leegmaken_kar
    session[:kar] = nil
    redirect_to_index('Uw winkelkar is leeg')
  end
    
    # ingeven van klantgegevens:
    def aankoop_stap1
   if @kar.items.empty?
           redirect_to_index('Uw winkelkar is leeg')
      else
          @klant = Klant.new
      end
  end  
  
  # ingeven van ordergegevens:
  def aankoop_stap2
   @order = Order.new
  end  
     
   def bewaar_klant
      @klant= Klant.new(params[:klant])    
      if @klant.save      
         flash[:notice] = 'Uw gegevens zijn bewaard.'
         session[:klant] = @klant       # stockeer klant in session, id is nodig in order 
         redirect_to :action => :aankoop_stap2
      else
         render :action => :aankoop_stap1
      end
   end 
    
   def bewaar_order
      @order = Order.new(params[:order])
      @order.klant = session[:klant]    # hier wordt klant_id door belongs_to ingevuld
      @order.toevoegen_orderlijnen_vanuit_kar(@kar)
       if @order.save
          session[:klant] = session[:kar] = nil     # opkuis session
          redirect_to_index("ITMedia dankt u voor uw bestelling!")
       else
          render :action => :aankoop_stap2
       end
   end  
  
  protected
    def inlogcontrole
    end    

  private
  def ophalen_kar
    # maak een nieuwe (lege kar) als deze nog niet bestaat, geef anders de bestaande kar terug:
    @kar = session[:kar] ||= Kar.new
  end
  
  def redirect_to_index(msg)
    flash[:notice] = msg
    redirect_to :action => :index
  end
  
  def copyright
      response.body = response.body + '<br/><hr/>(C) ITMEDIA - 2008'
  end
  
end
