class Klant < ActiveRecord::Base
 require 'date'
 set_table_name 'klanten'
 has_many :orders

 validates_presence_of :voornaam, :familienaam, :geboorte_datum, :straat, :nr, :postcode, :gemeente, :email
 validate :klant_geldige_geboortedatum
 
 def klant_geldige_geboortedatum
    # test: geboortedatum niet in de toekomst:
    if geboorte_datum > Date.today
        errors.add(:geboorte_datum, '- Klant moet nog geboren worden!') 
    end
    # test: klant is minstens 15 jaar:
    ouderdom = Time.today.year - geboorte_datum.year
    errors.add(:geboorte_datum, ' - Klant moet minstens 15 jaar zijn!') if ouderdom < 15
 end

end
