class Klant
  attr_accessor :voornaam, :familienaam, :leeftijd
  
  def initialize(voornaam,familienaam,leeftijd)
    voornaam = voornaam.strip.capitalize
    familienaam = familienaam.strip.capitalize
    familienaam.gsub!(/\s\w/) { |letter| letter.upcase}
    # validatie gegevens:
    begin
      raise ArgumentError,"Voornaam moet langer zijn dan 1 letter" unless voornaam.size > 1
      raise ArgumentError,"Familienaam moet langer zijn dan 1 letter" unless familienaam.size > 1
      Integer(leeftijd)   # test of ingegeven leeftijd geen niet-cijfer karakters bevat
      raise ArgumentError,"Leeftijd moet een geheel getal zijn" unless leeftijd.integer?
      raise ArgumentError,"Leeftijd moet groter zijn dan 15, en kleiner dan 120" unless leeftijd > 15 and leeftijd <= 120
      raise ArgumentError,"1e karakter voornaam moet letter zijn" unless voornaam[0,1] =~ /[A-Z]/
      raise ArgumentError,"1e karakter familienaam moet letter zijn" unless familienaam[0,1] =~ /[A-Z]/
    rescue Exception => e
      puts e.message
      exit
    end
    @voornaam, @familienaam, @leeftijd = voornaam, familienaam, leeftijd
  end
  
  def toongegevens
    "De klant heet #{@voornaam} #{@familienaam} en is #{leeftijd} jaar."
  end
  
end