=begin rdoc
******************************************************************
 Auteur:  Ivo Balbaert
 Datum:   27-3-2008
 Versie:  1.0
 Doel:    Sorteren met module Comparable
 Context: boek Programmeren met Ruby en Rails: Hoofdstuk 7 :  7.3 - OPDRACHT 7.1
******************************************************************
=end
class Boek
  include Comparable
  
  attr_reader :titel, :prijs
  
  def initialize(titel, prijs)
    @titel = titel
    @prijs = prijs
  end
    
  def <=>(ander_boek) 
    self.prijs <=> ander_boek.prijs 
  end

end

bk1 = Boek.new('Practical Ruby Gems',35)
bk2 = Boek.new('Google Maps Applications with Rails and Ajax',31)
bk3 = Boek.new('Practical Rails Projects',41)
bk4 = Boek.new('Practical Rails Social Networking Sites',39)
bk5 = Boek.new('Beginning Ruby on Rails e-commerce',29)

if bk3 > bk1  
  puts 'bk3 is duurder dan bk1'    # geeft bk3 is duurder dan bk1
else
  puts 'bk3 is goedkoper dan bk1'
end

arr_boek  = [bk1,bk2,bk3,bk4,bk5] # willekeurige greep uit de boeken
arr_boek.sort!.each { |bk| puts bk.inspect }
# bovenstaande instructie geeft:
#<Boek:0x48b80a4 @titel="Beginning Ruby on Rails e-commerce", @prijs=29>
#<Boek:0x48b8194 @titel="Google Maps Applications with Rails and Ajax", @prijs=31>
#<Boek:0x48b81e4 @titel="Practical Ruby Gems", @prijs=35>
#<Boek:0x48b80f4 @titel="Practical Rails Social Networking Sites", @prijs=39>
#<Boek:0x48b8144 @titel="Practical Rails Projects", @prijs=41>
