# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 1) do

  create_table "klanten", :force => true do |t|
    t.string "voornaam",      :limit => 40, :default => "", :null => false
    t.string "familienaam",   :limit => 50, :default => "", :null => false
    t.string "bijnaam",       :limit => 30, :default => "", :null => false
    t.string "sex",           :limit => 1,  :default => "", :null => false
    t.date   "geboortedatum",                               :null => false
    t.string "paswoord",      :limit => 30, :default => "", :null => false
    t.string "straat",        :limit => 75, :default => "", :null => false
    t.string "nr",            :limit => 10, :default => "", :null => false
    t.string "postcode",      :limit => 15, :default => "", :null => false
    t.string "gemeente",      :limit => 75, :default => "", :null => false
    t.string "email",         :limit => 75, :default => "", :null => false
    t.string "beroep",        :limit => 50, :default => "", :null => false
  end

  create_table "orderlijnen", :force => true do |t|
    t.integer "order_id",                                                    :null => false
    t.integer "product_id",                                                  :null => false
    t.integer "aantal",                                       :default => 0, :null => false
    t.decimal "eenheidsprijs", :precision => 10, :scale => 2,                :null => false
  end

  add_index "orderlijnen", ["order_id"], :name => "fk_orders_orderlijnen"
  add_index "orderlijnen", ["product_id"], :name => "fk_producten_orderlijnen"

  create_table "orders", :force => true do |t|
    t.integer "klant_id",                                     :null => false
    t.string  "betalingstype",  :limit => 10, :default => "", :null => false
    t.date    "leveringsdatum",                               :null => false
    t.string  "status",         :limit => 1,  :default => "", :null => false
  end

  add_index "orders", ["klant_id"], :name => "fk_klanten_orders"

  create_table "producten", :force => true do |t|
    t.integer "soort_id",                                                                       :null => false
    t.integer "uitgever_id"
    t.string  "titel",            :limit => 100,                                :default => "", :null => false
    t.string  "auteurs",          :limit => 100
    t.string  "onderwerp",        :limit => 100
    t.text    "beschrijving"
    t.date    "publicatiedatum"
    t.decimal "prijs",                           :precision => 10, :scale => 2
    t.integer "aantalinvoorraad"
    t.string  "afbeeldingurl",    :limit => 200
    t.string  "isbnnr10",         :limit => 13
    t.string  "isbnnr13",         :limit => 17
    t.integer "aantalpaginas"
    t.string  "boektype",         :limit => 40
    t.integer "speelduur"
    t.string  "opslagformaat",    :limit => 40
  end

  add_index "producten", ["soort_id"], :name => "fk_soorten_producten"

  create_table "soorten", :force => true do |t|
    t.string "naam", :limit => 50, :default => "", :null => false
  end

  create_table "uitgeverijs", :force => true do |t|
    t.string   "code"
    t.string   "naam"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

end
